namespace PkmnLib.Plugin.Gen7.Scripts.Abilities;

/// <summary>
/// Simple is an ability that doubles the effect of stat changes.
///
/// <see href="https://bulbapedia.bulbagarden.net/wiki/Simple_(Ability)">Bulbapedia - Simple</see>
/// </summary>
[Script(ScriptCategory.Ability, "simple")]
public class Simple : Script, IScriptChangeStatBoostChange
{
    /// <inheritdoc />
    public void ChangeStatBoostChange(IPokemon target, Statistic stat, bool selfInflicted, ref sbyte amount)
    {
        amount = amount.MultiplyOrMax(2);
    }
}